﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace DataGridDemo
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ViewModel()
        {
            ////UnComment for Approach 1
            gridTappedCommand = new Command(SfGrid_GridTapped);
            SetRowstoGenerate(50);
        }

        #region ItemsSource

        private ObservableCollection<OrderInfo> ordersInfo;

        public ObservableCollection<OrderInfo> OrdersInfo
        {
            get { return ordersInfo; }
            set { this.ordersInfo = value; }
        }

        private Command gridTappedCommand;
        public Command GridTappedCommand
        {
            get { return gridTappedCommand; }
            set { gridTappedCommand = value; }
        }

        #endregion

        #region ItemSource Generator

        public void SetRowstoGenerate(int count)
        {
            OrderInfoRepository order = new OrderInfoRepository();
            ordersInfo = order.GetOrderDetails(count);
        }

        #endregion

        internal void SfGrid_GridTapped(object sender, GridTappedEventsArgs e)
        {
            int rowindex = e.RowColumnindex.RowIndex;
            int columnindex = e.RowColumnindex.ColumnIndex;
        }

        private void SfGrid_GridTapped()
        {

        }

        #region INotifyPropertyChanged implementation

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }
}
